package de.hsadmin.core.model;

import de.hsadmin.mods.user.UnixUser;

public interface PrivilegesInterface {

	public boolean isAllowedToCreate( UnixUser user, AbstractEntity entity ) ;
	public boolean isAllowedToSearch( UnixUser user, AbstractEntity entity ) ;
	public boolean isAllowedToUpdate( UnixUser user, AbstractEntity orignalentity, AbstractEntity targetentity ) ;
	public boolean isAllowedToDelete( UnixUser user, AbstractEntity entity ) ;
	
}
